#!/usr/bin/env bash

# Filter out the subdomains not pointing to a first-party tracker

cat subdomains/*.list | sort -u > temp/all_subdomains.list
./filter_subdomains.py temp/all_subdomains.list > temp/all_toblock.list
sort -u temp/all_toblock.list > dist/firstparty-trackers.txt

# Format the blocklist so it can be used as a hostlist

(
    echo "# First-party trackers"
    echo "# List generated on $(date -Isec) by eulaurarien $(git describe --tags --dirty)"
    cat dist/firstparty-trackers.txt | while read host;
    do
        echo "0.0.0.0 $host"
    done
) > dist/firstparty-trackers-hosts.txt
